package express.utils;

/**
 * @author Simon Reinisch
 * Enum with all MediaTypes
 */
public enum MediaType {

  _aw("aw", "application/applixware"),
  _atom("atom", "application/atom+xml "),
  _atomcat("atomcat", "application/atomcat+xml"),
  _atomsvc("atomsvc", "application/atomsvc+xml"),
  _ccxml("ccxml", "application/ccxml+xml"),
  _cdmia("cdmia", "application/cdmi-capability"),
  _cdmic("cdmic", "application/cdmi-container"),
  _cdmid("cdmid", "application/cdmi-domain"),
  _cdmio("cdmio", "application/cdmi-object"),
  _cdmiq("cdmiq", "application/cdmi-queue"),
  _cu("cu", "application/cu-seeme"),
  _davmount("davmount", "application/davmount+xml"),
  _dssc("dssc", "application/dssc+der"),
  _xdssc("xdssc", "application/dssc+xml"),
  _es("es", "application/ecmascript"),
  _emma("emma", "application/emma+xml"),
  _epub("epub", "application/epub+zip"),
  _exi("exi", "application/exi"),
  _pfr("pfr", "application/font-tdpfr"),
  _stk("stk", "application/hyperstudio"),
  _ipfix("ipfix", "application/ipfix"),
  _jar("jar", "application/java-archive"),
  _ser("ser", "application/java-serialized-object"),
  _class("class", "application/java-vm"),
  _js("js", "application/javascript"),
  _json("json", "application/json"),
  _hqx("hqx", "application/mac-binhex40"),
  _cpt("cpt", "application/mac-compactpro"),
  _mads("mads", "application/mads+xml"),
  _mrc("mrc", "application/marc"),
  _mrcx("mrcx", "application/marcxml+xml"),
  _ma("ma", "application/mathematica"),
  _mathml("mathml", "application/mathml+xml"),
  _mbox("mbox", "application/mbox"),
  _mscml("mscml", "application/mediaservercontrol+xml"),
  _meta4("meta4", "application/metalink4+xml"),
  _mets("mets", "application/mets+xml"),
  _mods("mods", "application/mods+xml"),
  _m21("m21", "application/mp21"),
  _doc("doc", "application/msword"),
  _mxf("mxf", "application/mxf"),
  _bin("bin", "application/octet-stream"),
  _oda("oda", "application/oda"),
  _opf("opf", "application/oebps-package+xml"),
  _ogx("ogx", "application/ogg"),
  _onetoc("onetoc", "application/onenote"),
  _xer("xer", "application/patch-ops-error+xml"),
  _pdf("pdf", "application/pdf"),
  _prf("prf", "application/pics-rules"),
  _p10("p10", "application/pkcs10"),
  _p7m("p7m", "application/pkcs7-mime"),
  _p7s("p7s", "application/pkcs7-signature"),
  _p8("p8", "application/pkcs8"),
  _ac("ac", "application/pkix-attr-cert"),
  _cer("cer", "application/pkix-cert"),
  _crl("crl", "application/pkix-crl"),
  _pkipath("pkipath", "application/pkix-pkipath"),
  _pki("pki", "application/pkixcmp"),
  _pls("pls", "application/pls+xml"),
  _ai("ai", "application/postscript"),
  _cww("cww", "application/prs.cww"),
  _pskcxml("pskcxml", "application/pskc+xml"),
  _rdf("rdf", "application/rdf+xml"),
  _rif("rif", "application/reginfo+xml"),
  _rnc("rnc", "application/relax-ng-compact-syntax"),
  _rl("rl", "application/resource-lists+xml"),
  _rld("rld", "application/resource-lists-diff+xml"),
  _rs("rs", "application/rls-services+xml"),
  _rsd("rsd", "application/rsd+xml"),
  _rss("rss", "application/rss+xml"),
  _rtf("rtf", "application/rtf"),
  _sbml("sbml", "application/sbml+xml"),
  _scq("scq", "application/scvp-cv-request"),
  _scs("scs", "application/scvp-cv-response"),
  _spq("spq", "application/scvp-vp-request"),
  _spp("spp", "application/scvp-vp-response"),
  _sdp("sdp", "application/sdp"),
  _setpay("setpay", "application/set-payment-initiation"),
  _setreg("setreg", "application/set-registration-initiation"),
  _shf("shf", "application/shf+xml"),
  _smi("smi", "application/smil+xml"),
  _rq("rq", "application/sparql-query"),
  _srx("srx", "application/sparql-results+xml"),
  _gram("gram", "application/srgs"),
  _grxml("grxml", "application/srgs+xml"),
  _sru("sru", "application/sru+xml"),
  _ssml("ssml", "application/ssml+xml"),
  _tei("tei", "application/tei+xml"),
  _tfi("tfi", "application/thraud+xml"),
  _tsd("tsd", "application/timestamped-data"),
  _plb("plb", "application/vnd.3gpp.pic-bw-large"),
  _psb("psb", "application/vnd.3gpp.pic-bw-small"),
  _pvb("pvb", "application/vnd.3gpp.pic-bw-var"),
  _tcap("tcap", "application/vnd.3gpp2.tcap"),
  _pwn("pwn", "application/vnd.3m.post-it-notes"),
  _aso("aso", "application/vnd.accpac.simply.aso"),
  _imp("imp", "application/vnd.accpac.simply.imp"),
  _acu("acu", "application/vnd.acucobol"),
  _atc("atc", "application/vnd.acucorp"),
  _air("air", "application/vnd.adobe.air-application-installer-package+zip"),
  _fxp("fxp", "application/vnd.adobe.fxp"),
  _xdp("xdp", "application/vnd.adobe.xdp+xml"),
  _xfdf("xfdf", "application/vnd.adobe.xfdf"),
  _ahead("ahead", "application/vnd.ahead.space"),
  _azf("azf", "application/vnd.airzip.filesecure.azf"),
  _azs("azs", "application/vnd.airzip.filesecure.azs"),
  _azw("azw", "application/vnd.amazon.ebook"),
  _acc("acc", "application/vnd.americandynamics.acc"),
  _ami("ami", "application/vnd.amiga.ami"),
  _apk("apk", "application/vnd.android.package-archive"),
  _cii("cii", "application/vnd.anser-web-certificate-issue-initiation"),
  _fti("fti", "application/vnd.anser-web-funds-transfer-initiation"),
  _atx("atx", "application/vnd.antix.game-component"),
  _mpkg("mpkg", "application/vnd.apple.installer+xml"),
  _m3u8("m3u8", "application/vnd.apple.mpegurl"),
  _swi("swi", "application/vnd.aristanetworks.swi"),
  _aep("aep", "application/vnd.audiograph"),
  _mpm("mpm", "application/vnd.blueice.multipass"),
  _bmi("bmi", "application/vnd.bmi"),
  _rep("rep", "application/vnd.businessobjects"),
  _cdxml("cdxml", "application/vnd.chemdraw+xml"),
  _mmd("mmd", "application/vnd.chipnuts.karaoke-mmd"),
  _cdy("cdy", "application/vnd.cinderella"),
  _cla("cla", "application/vnd.claymore"),
  _rp9("rp9", "application/vnd.cloanto.rp9"),
  _c4g("c4g", "application/vnd.clonk.c4group"),
  _c11amc("c11amc", "application/vnd.cluetrust.cartomobile-config"),
  _c11amz("c11amz", "application/vnd.cluetrust.cartomobile-config-pkg"),
  _csp("csp", "application/vnd.commonspace"),
  _cdbcmsg("cdbcmsg", "application/vnd.contact.cmsg"),
  _cmc("cmc", "application/vnd.cosmocaller"),
  _clkx("clkx", "application/vnd.crick.clicker"),
  _clkk("clkk", "application/vnd.crick.clicker.keyboard"),
  _clkp("clkp", "application/vnd.crick.clicker.palette"),
  _clkt("clkt", "application/vnd.crick.clicker.template"),
  _clkw("clkw", "application/vnd.crick.clicker.wordbank"),
  _wbs("wbs", "application/vnd.criticaltools.wbs+xml"),
  _pml("pml", "application/vnd.ctc-posml"),
  _ppd("ppd", "application/vnd.cups-ppd"),
  _car("car", "application/vnd.curl.car"),
  _pcurl("pcurl", "application/vnd.curl.pcurl"),
  _rdz("rdz", "application/vnd.data-vision.rdz"),
  _fe_launch("fe_launch", "application/vnd.denovo.fcselayout-link"),
  _dna("dna", "application/vnd.dna"),
  _mlp("mlp", "application/vnd.dolby.mlp"),
  _dpg("dpg", "application/vnd.dpgraph"),
  _dfac("dfac", "application/vnd.dreamfactory"),
  _ait("ait", "application/vnd.dvb.ait"),
  _svc("svc", "application/vnd.dvb.service"),
  _geo("geo", "application/vnd.dynageo"),
  _mag("mag", "application/vnd.ecowin.chart"),
  _nml("nml", "application/vnd.enliven"),
  _esf("esf", "application/vnd.epson.esf"),
  _msf("msf", "application/vnd.epson.msf"),
  _qam("qam", "application/vnd.epson.quickanime"),
  _slt("slt", "application/vnd.epson.salt"),
  _ssf("ssf", "application/vnd.epson.ssf"),
  _es3("es3", "application/vnd.eszigno3+xml"),
  _ez2("ez2", "application/vnd.ezpix-album"),
  _ez3("ez3", "application/vnd.ezpix-package"),
  _fdf("fdf", "application/vnd.fdf"),
  _seed("seed", "application/vnd.fdsn.seed"),
  _gph("gph", "application/vnd.flographit"),
  _ftc("ftc", "application/vnd.fluxtime.clip"),
  _fm("fm", "application/vnd.framemaker"),
  _fnc("fnc", "application/vnd.frogans.fnc"),
  _ltf("ltf", "application/vnd.frogans.ltf"),
  _fsc("fsc", "application/vnd.fsc.weblaunch"),
  _oas("oas", "application/vnd.fujitsu.oasys"),
  _oa2("oa2", "application/vnd.fujitsu.oasys2"),
  _oa3("oa3", "application/vnd.fujitsu.oasys3"),
  _fg5("fg5", "application/vnd.fujitsu.oasysgp"),
  _bh2("bh2", "application/vnd.fujitsu.oasysprs"),
  _ddd("ddd", "application/vnd.fujixerox.ddd"),
  _xdw("xdw", "application/vnd.fujixerox.docuworks"),
  _xbd("xbd", "application/vnd.fujixerox.docuworks.binder"),
  _fzs("fzs", "application/vnd.fuzzysheet"),
  _txd("txd", "application/vnd.genomatix.tuxedo"),
  _ggb("ggb", "application/vnd.geogebra.file"),
  _ggt("ggt", "application/vnd.geogebra.tool"),
  _gex("gex", "application/vnd.geometry-explorer"),
  _gxt("gxt", "application/vnd.geonext"),
  _g2w("g2w", "application/vnd.geoplan"),
  _g3w("g3w", "application/vnd.geospace"),
  _gmx("gmx", "application/vnd.gmx"),
  _kml("kml", "application/vnd.google-earth.kml+xml"),
  _kmz("kmz", "application/vnd.google-earth.kmz"),
  _gqf("gqf", "application/vnd.grafeq"),
  _gac("gac", "application/vnd.groove-account"),
  _ghf("ghf", "application/vnd.groove-help"),
  _gim("gim", "application/vnd.groove-identity-message"),
  _grv("grv", "application/vnd.groove-injector"),
  _gtm("gtm", "application/vnd.groove-tool-message"),
  _tpl("tpl", "application/vnd.groove-tool-template"),
  _vcg("vcg", "application/vnd.groove-vcard"),
  _hal("hal", "application/vnd.hal+xml"),
  _zmm("zmm", "application/vnd.handheld-entertainment+xml"),
  _hbci("hbci", "application/vnd.hbci"),
  _les("les", "application/vnd.hhe.lesson-player"),
  _hpgl("hpgl", "application/vnd.hp-hpgl"),
  _hpid("hpid", "application/vnd.hp-hpid"),
  _hps("hps", "application/vnd.hp-hps"),
  _jlt("jlt", "application/vnd.hp-jlyt"),
  _pcl("pcl", "application/vnd.hp-pcl"),
  _pclxl("pclxl", "application/vnd.hp-pclxl"),
  _sfd_hdstx("sfd-hdstx", "application/vnd.hydrostatix.sof-data"),
  _x3d("x3d", "application/vnd.hzn-3d-crossword"),
  _mpy("mpy", "application/vnd.ibm.minipay"),
  _afp("afp", "application/vnd.ibm.modcap"),
  _irm("irm", "application/vnd.ibm.rights-management"),
  _sc("sc", "application/vnd.ibm.secure-container"),
  _icc("icc", "application/vnd.iccprofile"),
  _igl("igl", "application/vnd.igloader"),
  _ivp("ivp", "application/vnd.immervision-ivp"),
  _ivu("ivu", "application/vnd.immervision-ivu"),
  _igm("igm", "application/vnd.insors.igm"),
  _xpw("xpw", "application/vnd.intercon.formnet"),
  _i2g("i2g", "application/vnd.intergeo"),
  _qbo("qbo", "application/vnd.intu.qbo"),
  _qfx("qfx", "application/vnd.intu.qfx"),
  _rcprofile("rcprofile", "application/vnd.ipunplugged.rcprofile"),
  _irp("irp", "application/vnd.irepository.package+xml"),
  _xpr("xpr", "application/vnd.is-xpr"),
  _fcs("fcs", "application/vnd.isac.fcs"),
  _jam("jam", "application/vnd.jam"),
  _rms("rms", "application/vnd.jcp.javame.midlet-rms"),
  _jisp("jisp", "application/vnd.jisp"),
  _joda("joda", "application/vnd.joost.joda-archive"),
  _ktz("ktz", "application/vnd.kahootz"),
  _karbon("karbon", "application/vnd.kde.karbon"),
  _chrt("chrt", "application/vnd.kde.kchart"),
  _kfo("kfo", "application/vnd.kde.kformula"),
  _flw("flw", "application/vnd.kde.kivio"),
  _kon("kon", "application/vnd.kde.kontour"),
  _kpr("kpr", "application/vnd.kde.kpresenter"),
  _ksp("ksp", "application/vnd.kde.kspread"),
  _kwd("kwd", "application/vnd.kde.kword"),
  _htke("htke", "application/vnd.kenameaapp"),
  _kia("kia", "application/vnd.kidspiration"),
  _kne("kne", "application/vnd.kinar"),
  _skp("skp", "application/vnd.koan"),
  _sse("sse", "application/vnd.kodak-descriptor"),
  _lasxml("lasxml", "application/vnd.las.las+xml"),
  _lbd("lbd", "application/vnd.llamagraphics.life-balance.desktop"),
  _lbe("lbe", "application/vnd.llamagraphics.life-balance.exchange+xml"),
  _123("123", "application/vnd.lotus-1-2-3"),
  _apr("apr", "application/vnd.lotus-approach"),
  _pre("pre", "application/vnd.lotus-freelance"),
  _nsf("nsf", "application/vnd.lotus-notes"),
  _org("org", "application/vnd.lotus-organizer"),
  _scm("scm", "application/vnd.lotus-screencam"),
  _lwp("lwp", "application/vnd.lotus-wordpro"),
  _portpkg("portpkg", "application/vnd.macports.portpkg"),
  _mcd("mcd", "application/vnd.mcd"),
  _mc1("mc1", "application/vnd.medcalcdata"),
  _cdkey("cdkey", "application/vnd.mediastation.cdkey"),
  _mwf("mwf", "application/vnd.mfer"),
  _mfm("mfm", "application/vnd.mfmp"),
  _flo("flo", "application/vnd.micrografx.flo"),
  _igx("igx", "application/vnd.micrografx.igx"),
  _mif("mif", "application/vnd.mif"),
  _daf("daf", "application/vnd.mobius.daf"),
  _dis("dis", "application/vnd.mobius.dis"),
  _mbk("mbk", "application/vnd.mobius.mbk"),
  _mqy("mqy", "application/vnd.mobius.mqy"),
  _msl("msl", "application/vnd.mobius.msl"),
  _plc("plc", "application/vnd.mobius.plc"),
  _txf("txf", "application/vnd.mobius.txf"),
  _mpn("mpn", "application/vnd.mophun.application"),
  _mpc("mpc", "application/vnd.mophun.certificate"),
  _xul("xul", "application/vnd.mozilla.xul+xml"),
  _cil("cil", "application/vnd.ms-artgalry"),
  _cab("cab", "application/vnd.ms-cab-compressed"),
  _xls("xls", "application/vnd.ms-excel"),
  _xlam("xlam", "application/vnd.ms-excel.addin.macroenabled.12"),
  _xlsb("xlsb", "application/vnd.ms-excel.sheet.binary.macroenabled.12"),
  _xlsm("xlsm", "application/vnd.ms-excel.sheet.macroenabled.12"),
  _xltm("xltm", "application/vnd.ms-excel.template.macroenabled.12"),
  _eot("eot", "application/vnd.ms-fontobject"),
  _chm("chm", "application/vnd.ms-htmlhelp"),
  _ims("ims", "application/vnd.ms-ims"),
  _lrm("lrm", "application/vnd.ms-lrm"),
  _thmx("thmx", "application/vnd.ms-officetheme"),
  _cat("cat", "application/vnd.ms-pki.seccat"),
  _stl("stl", "application/vnd.ms-pki.stl"),
  _ppt("ppt", "application/vnd.ms-powerpoint"),
  _ppam("ppam", "application/vnd.ms-powerpoint.addin.macroenabled.12"),
  _pptm("pptm", "application/vnd.ms-powerpoint.presentation.macroenabled.12"),
  _sldm("sldm", "application/vnd.ms-powerpoint.slide.macroenabled.12"),
  _ppsm("ppsm", "application/vnd.ms-powerpoint.slideshow.macroenabled.12"),
  _potm("potm", "application/vnd.ms-powerpoint.template.macroenabled.12"),
  _mpp("mpp", "application/vnd.ms-project"),
  _docm("docm", "application/vnd.ms-word.document.macroenabled.12"),
  _dotm("dotm", "application/vnd.ms-word.template.macroenabled.12"),
  _wps("wps", "application/vnd.ms-works"),
  _wpl("wpl", "application/vnd.ms-wpl"),
  _xps("xps", "application/vnd.ms-xpsdocument"),
  _mseq("mseq", "application/vnd.mseq"),
  _mus("mus", "application/vnd.musician"),
  _msty("msty", "application/vnd.muvee.style"),
  _nlu("nlu", "application/vnd.neurolanguage.nlu"),
  _nnd("nnd", "application/vnd.noblenet-directory"),
  _nns("nns", "application/vnd.noblenet-sealer"),
  _nnw("nnw", "application/vnd.noblenet-web"),
  _ngdat("ngdat", "application/vnd.nokia.n-gage.data"),
  _n_gage("n-gage", "application/vnd.nokia.n-gage.symbian.install"),
  _rpst("rpst", "application/vnd.nokia.radio-preset"),
  _rpss("rpss", "application/vnd.nokia.radio-presets"),
  _edm("edm", "application/vnd.novadigm.edm"),
  _edx("edx", "application/vnd.novadigm.edx"),
  _ext("ext", "application/vnd.novadigm.ext"),
  _odc("odc", "application/vnd.oasis.opendocument.chart"),
  _otc("otc", "application/vnd.oasis.opendocument.chart-template"),
  _odb("odb", "application/vnd.oasis.opendocument.database"),
  _odf("odf", "application/vnd.oasis.opendocument.formula"),
  _odft("odft", "application/vnd.oasis.opendocument.formula-template"),
  _odg("odg", "application/vnd.oasis.opendocument.graphics"),
  _otg("otg", "application/vnd.oasis.opendocument.graphics-template"),
  _odi("odi", "application/vnd.oasis.opendocument.image"),
  _oti("oti", "application/vnd.oasis.opendocument.image-template"),
  _odp("odp", "application/vnd.oasis.opendocument.presentation"),
  _otp("otp", "application/vnd.oasis.opendocument.presentation-template"),
  _ods("ods", "application/vnd.oasis.opendocument.spreadsheet"),
  _ots("ots", "application/vnd.oasis.opendocument.spreadsheet-template"),
  _odt("odt", "application/vnd.oasis.opendocument.text"),
  _odm("odm", "application/vnd.oasis.opendocument.text-master"),
  _ott("ott", "application/vnd.oasis.opendocument.text-template"),
  _oth("oth", "application/vnd.oasis.opendocument.text-web"),
  _xo("xo", "application/vnd.olpc-sugar"),
  _dd2("dd2", "application/vnd.oma.dd2+xml"),
  _oxt("oxt", "application/vnd.openofficeorg.extension"),
  _pptx("pptx", "application/vnd.openxmlformats-officedocument.presentationml.presentation"),
  _sldx("sldx", "application/vnd.openxmlformats-officedocument.presentationml.slide"),
  _ppsx("ppsx", "application/vnd.openxmlformats-officedocument.presentationml.slideshow"),
  _potx("potx", "application/vnd.openxmlformats-officedocument.presentationml.template"),
  _xlsx("xlsx", "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"),
  _xltx("xltx", "application/vnd.openxmlformats-officedocument.spreadsheetml.template"),
  _docx("docx", "application/vnd.openxmlformats-officedocument.wordprocessingml.document"),
  _dotx("dotx", "application/vnd.openxmlformats-officedocument.wordprocessingml.template"),
  _mgp("mgp", "application/vnd.osgeo.mapguide.package"),
  _dp("dp", "application/vnd.osgi.dp"),
  _pdb("pdb", "application/vnd.palm"),
  _paw("paw", "application/vnd.pawaafile"),
  _str("str", "application/vnd.pg.format"),
  _ei6("ei6", "application/vnd.pg.osasli"),
  _efif("efif", "application/vnd.picsel"),
  _wg("wg", "application/vnd.pmi.widget"),
  _plf("plf", "application/vnd.pocketlearn"),
  _pbd("pbd", "application/vnd.powerbuilder6"),
  _box("box", "application/vnd.previewsystems.box"),
  _mgz("mgz", "application/vnd.proteus.magazine"),
  _qps("qps", "application/vnd.publishare-delta-tree"),
  _ptid("ptid", "application/vnd.pvi.ptid1"),
  _qxd("qxd", "application/vnd.quark.quarkxpress"),
  _bed("bed", "application/vnd.realvnc.bed"),
  _mxl("mxl", "application/vnd.recordare.musicxml"),
  _musicxml("musicxml", "application/vnd.recordare.musicxml+xml"),
  _cryptonote("cryptonote", "application/vnd.rig.cryptonote"),
  _cod("cod", "application/vnd.rim.cod"),
  _rm("rm", "application/vnd.rn-realmedia"),
  _link66("link66", "application/vnd.route66.link66+xml"),
  _st("st", "application/vnd.sailingtracker.track"),
  _see("see", "application/vnd.seemail"),
  _sema("sema", "application/vnd.sema"),
  _semd("semd", "application/vnd.semd"),
  _semf("semf", "application/vnd.semf"),
  _ifm("ifm", "application/vnd.shana.informed.formdata"),
  _itp("itp", "application/vnd.shana.informed.formtemplate"),
  _iif("iif", "application/vnd.shana.informed.interchange"),
  _ipk("ipk", "application/vnd.shana.informed.package"),
  _twd("twd", "application/vnd.simtech-mindmapper"),
  _mmf("mmf", "application/vnd.smaf"),
  _teacher("teacher", "application/vnd.smart.teacher"),
  _sdkm("sdkm", "application/vnd.solent.sdkm+xml"),
  _dxp("dxp", "application/vnd.spotfire.dxp"),
  _sfs("sfs", "application/vnd.spotfire.sfs"),
  _sdc("sdc", "application/vnd.stardivision.calc"),
  _sda("sda", "application/vnd.stardivision.draw"),
  _sdd("sdd", "application/vnd.stardivision.impress"),
  _smf("smf", "application/vnd.stardivision.math"),
  _sdw("sdw", "application/vnd.stardivision.writer"),
  _sgl("sgl", "application/vnd.stardivision.writer-global"),
  _sm("sm", "application/vnd.stepmania.stepchart"),
  _sxc("sxc", "application/vnd.sun.xml.calc"),
  _stc("stc", "application/vnd.sun.xml.calc.template"),
  _sxd("sxd", "application/vnd.sun.xml.draw"),
  _std("std", "application/vnd.sun.xml.draw.template"),
  _sxi("sxi", "application/vnd.sun.xml.impress"),
  _sti("sti", "application/vnd.sun.xml.impress.template"),
  _sxm("sxm", "application/vnd.sun.xml.math"),
  _sxw("sxw", "application/vnd.sun.xml.writer"),
  _sxg("sxg", "application/vnd.sun.xml.writer.global"),
  _stw("stw", "application/vnd.sun.xml.writer.template"),
  _sus("sus", "application/vnd.sus-calendar"),
  _svd("svd", "application/vnd.svd"),
  _sis("sis", "application/vnd.symbian.install"),
  _xsm("xsm", "application/vnd.syncml+xml"),
  _bdm("bdm", "application/vnd.syncml.dm+wbxml"),
  _xdm("xdm", "application/vnd.syncml.dm+xml"),
  _tao("tao", "application/vnd.tao.intent-module-archive"),
  _tmo("tmo", "application/vnd.tmobile-livetv"),
  _tpt("tpt", "application/vnd.trid.tpt"),
  _mxs("mxs", "application/vnd.triscape.mxs"),
  _tra("tra", "application/vnd.trueapp"),
  _ufd("ufd", "application/vnd.ufdl"),
  _utz("utz", "application/vnd.uiq.theme"),
  _umj("umj", "application/vnd.umajin"),
  _unityweb("unityweb", "application/vnd.unity"),
  _uoml("uoml", "application/vnd.uoml+xml"),
  _vcx("vcx", "application/vnd.vcx"),
  _vsd("vsd", "application/vnd.visio"),
  _vsdx("vsdx", "application/vnd.visio2013"),
  _vis("vis", "application/vnd.visionary"),
  _vsf("vsf", "application/vnd.vsf"),
  _wbxml("wbxml", "application/vnd.wap.wbxml"),
  _wmlc("wmlc", "application/vnd.wap.wmlc"),
  _wmlsc("wmlsc", "application/vnd.wap.wmlscriptc"),
  _wtb("wtb", "application/vnd.webturbo"),
  _nbp("nbp", "application/vnd.wolfram.player"),
  _wpd("wpd", "application/vnd.wordperfect"),
  _wqd("wqd", "application/vnd.wqd"),
  _stf("stf", "application/vnd.wt.stf"),
  _xar("xar", "application/vnd.xara"),
  _xfdl("xfdl", "application/vnd.xfdl"),
  _hvd("hvd", "application/vnd.yamaha.hv-dic"),
  _hvs("hvs", "application/vnd.yamaha.hv-script"),
  _hvp("hvp", "application/vnd.yamaha.hv-voice"),
  _osf("osf", "application/vnd.yamaha.openscoreformat"),
  _osfpvg("osfpvg", "application/vnd.yamaha.openscoreformat.osfpvg+xml"),
  _saf("saf", "application/vnd.yamaha.smaf-audio"),
  _spf("spf", "application/vnd.yamaha.smaf-phrase"),
  _cmp("cmp", "application/vnd.yellowriver-custom-menu"),
  _zir("zir", "application/vnd.zul"),
  _zaz("zaz", "application/vnd.zzazz.deck+xml"),
  _vxml("vxml", "application/voicexml+xml"),
  _wgt("wgt", "application/widget"),
  _hlp("hlp", "application/winhlp"),
  _wsdl("wsdl", "application/wsdl+xml"),
  _wspolicy("wspolicy", "application/wspolicy+xml"),
  _7z("7z", "application/x-7z-compressed"),
  _abw("abw", "application/x-abiword"),
  _ace("ace", "application/x-ace-compressed"),
  _aab("aab", "application/x-authorware-bin"),
  _aam("aam", "application/x-authorware-map"),
  _aas("aas", "application/x-authorware-seg"),
  _bcpio("bcpio", "application/x-bcpio"),
  _torrent("torrent", "application/x-bittorrent"),
  _bz("bz", "application/x-bzip"),
  _bz2("bz2", "application/x-bzip2"),
  _vcd("vcd", "application/x-cdlink"),
  _chat("chat", "application/x-chat"),
  _pgn("pgn", "application/x-chess-pgn"),
  _cpio("cpio", "application/x-cpio"),
  _csh("csh", "application/x-csh"),
  _deb("deb", "application/x-debian-package"),
  _dir("dir", "application/x-director"),
  _wad("wad", "application/x-doom"),
  _ncx("ncx", "application/x-dtbncx+xml"),
  _dtb("dtb", "application/x-dtbook+xml"),
  _res("res", "application/x-dtbresource+xml"),
  _dvi("dvi", "application/x-dvi"),
  _bdf("bdf", "application/x-font-bdf"),
  _gsf("gsf", "application/x-font-ghostscript"),
  _psf("psf", "application/x-font-linux-psf"),
  _otf("otf", "application/x-font-otf"),
  _pcf("pcf", "application/x-font-pcf"),
  _snf("snf", "application/x-font-snf"),
  _ttf("ttf", "application/x-font-ttf"),
  _pfa("pfa", "application/x-font-type1"),
  _woff("woff", "application/x-font-woff"),
  _spl("spl", "application/x-futuresplash"),
  _gnumeric("gnumeric", "application/x-gnumeric"),
  _gtar("gtar", "application/x-gtar"),
  _hdf("hdf", "application/x-hdf"),
  _jnlp("jnlp", "application/x-java-jnlp-file"),
  _latex("latex", "application/x-latex"),
  _prc("prc", "application/x-mobipocket-ebook"),
  _application("application", "application/x-ms-application"),
  _wmd("wmd", "application/x-ms-wmd"),
  _wmz("wmz", "application/x-ms-wmz"),
  _xbap("xbap", "application/x-ms-xbap"),
  _mdb("mdb", "application/x-msaccess"),
  _obd("obd", "application/x-msbinder"),
  _crd("crd", "application/x-mscardfile"),
  _clp("clp", "application/x-msclip"),
  _exe("exe", "application/x-msdownload"),
  _mvb("mvb", "application/x-msmediaview"),
  _wmf("wmf", "application/x-msmetafile"),
  _mny("mny", "application/x-msmoney"),
  _pub("pub", "application/x-mspublisher"),
  _scd("scd", "application/x-msschedule"),
  _trm("trm", "application/x-msterminal"),
  _wri("wri", "application/x-mswrite"),
  _nc("nc", "application/x-netcdf"),
  _p12("p12", "application/x-pkcs12"),
  _p7b("p7b", "application/x-pkcs7-certificates"),
  _p7r("p7r", "application/x-pkcs7-certreqresp"),
  _rar("rar", "application/x-rar-compressed"),
  _sh("sh", "application/x-sh"),
  _shar("shar", "application/x-shar"),
  _swf("swf", "application/x-shockwave-flash"),
  _xap("xap", "application/x-silverlight-app"),
  _sit("sit", "application/x-stuffit"),
  _sitx("sitx", "application/x-stuffitx"),
  _sv4cpio("sv4cpio", "application/x-sv4cpio"),
  _sv4crc("sv4crc", "application/x-sv4crc"),
  _tar("tar", "application/x-tar"),
  _tcl("tcl", "application/x-tcl"),
  _tex("tex", "application/x-tex"),
  _tfm("tfm", "application/x-tex-tfm"),
  _texinfo("texinfo", "application/x-texinfo"),
  _ustar("ustar", "application/x-ustar"),
  _src("src", "application/x-wais-source"),
  _der("der", "application/x-x509-ca-cert"),
  _fig("fig", "application/x-xfig"),
  _xpi("xpi", "application/x-xpinstall"),
  _xdf("xdf", "application/xcap-diff+xml"),
  _xenc("xenc", "application/xenc+xml"),
  _xhtml("xhtml", "application/xhtml+xml"),
  _xml("xml", "application/xml"),
  _dtd("dtd", "application/xml-dtd"),
  _xop("xop", "application/xop+xml"),
  _xslt("xslt", "application/xslt+xml"),
  _xspf("xspf", "application/xspf+xml"),
  _mxml("mxml", "application/xv+xml"),
  _yang("yang", "application/yang"),
  _yin("yin", "application/yin+xml"),
  _zip("zip", "application/zip"),
  _adp("adp", "audio/adpcm"),
  _au("au", "audio/basic"),
  _mid("mid", "audio/midi"),
  _mp4a("mp4a", "audio/mp4"),
  _mpga("mpga", "audio/mpeg"),
  _oga("oga", "audio/ogg"),
  _uva("uva", "audio/vnd.dece.audio"),
  _eol("eol", "audio/vnd.digital-winds"),
  _dra("dra", "audio/vnd.dra"),
  _dts("dts", "audio/vnd.dts"),
  _dtshd("dtshd", "audio/vnd.dts.hd"),
  _lvp("lvp", "audio/vnd.lucent.voice"),
  _pya("pya", "audio/vnd.ms-playready.media.pya"),
  _ecelp4800("ecelp4800", "audio/vnd.nuera.ecelp4800"),
  _ecelp7470("ecelp7470", "audio/vnd.nuera.ecelp7470"),
  _ecelp9600("ecelp9600", "audio/vnd.nuera.ecelp9600"),
  _rip("rip", "audio/vnd.rip"),
  _weba("weba", "audio/webm"),
  _aac("aac", "audio/x-aac"),
  _aif("aif", "audio/x-aiff"),
  _m3u("m3u", "audio/x-mpegurl"),
  _wax("wax", "audio/x-ms-wax"),
  _wma("wma", "audio/x-ms-wma"),
  _ram("ram", "audio/x-pn-realaudio"),
  _rmp("rmp", "audio/x-pn-realaudio-plugin"),
  _wav("wav", "audio/x-wav"),
  _cdx("cdx", "chemical/x-cdx"),
  _cif("cif", "chemical/x-cif"),
  _cmdf("cmdf", "chemical/x-cmdf"),
  _cml("cml", "chemical/x-cml"),
  _csml("csml", "chemical/x-csml"),
  _xyz("xyz", "chemical/x-xyz"),
  _bmp("bmp", "image/bmp"),
  _cgm("cgm", "image/cgm"),
  _g3("g3", "image/g3fax"),
  _gif("gif", "image/gif"),
  _ief("ief", "image/ief"),
  _jpeg("jpeg", "image/jpeg"),
  _jpg("jpg", "image/jpeg"),
  _pjpeg("pjpeg", "image/pjpeg"),
  _ktx("ktx", "image/ktx"),
  _png("png", "image/x-citrix-png"),
  _btif("btif", "image/prs.btif"),
  _svg("svg", "image/svg+xml"),
  _tiff("tiff", "image/tiff"),
  _psd("psd", "image/vnd.adobe.photoshop"),
  _uvi("uvi", "image/vnd.dece.graphic"),
  _sub("sub", "image/vnd.dvb.subtitle"),
  _djvu("djvu", "image/vnd.djvu"),
  _dwg("dwg", "image/vnd.dwg"),
  _dxf("dxf", "image/vnd.dxf"),
  _fbs("fbs", "image/vnd.fastbidsheet"),
  _fpx("fpx", "image/vnd.fpx"),
  _fst("fst", "image/vnd.fst"),
  _mmr("mmr", "image/vnd.fujixerox.edmics-mmr"),
  _rlc("rlc", "image/vnd.fujixerox.edmics-rlc"),
  _mdi("mdi", "image/vnd.ms-modi"),
  _npx("npx", "image/vnd.net-fpx"),
  _wbmp("wbmp", "image/vnd.wap.wbmp"),
  _xif("xif", "image/vnd.xiff"),
  _webp("webp", "image/webp"),
  _ras("ras", "image/x-cmu-raster"),
  _cmx("cmx", "image/x-cmx"),
  _fh("fh", "image/x-freehand"),
  _ico("ico", "image/x-icon"),
  _pcx("pcx", "image/x-pcx"),
  _pic("pic", "image/x-pict"),
  _pnm("pnm", "image/x-portable-anymap"),
  _pbm("pbm", "image/x-portable-bitmap"),
  _pgm("pgm", "image/x-portable-graymap"),
  _ppm("ppm", "image/x-portable-pixmap"),
  _rgb("rgb", "image/x-rgb"),
  _xbm("xbm", "image/x-xbitmap"),
  _xpm("xpm", "image/x-xpixmap"),
  _xwd("xwd", "image/x-xwindowdump"),
  _eml("eml", "message/rfc822"),
  _igs("igs", "model/iges"),
  _msh("msh", "model/mesh"),
  _dae("dae", "model/vnd.collada+xml"),
  _dwf("dwf", "model/vnd.dwf"),
  _gdl("gdl", "model/vnd.gdl"),
  _gtw("gtw", "model/vnd.gtw"),
  _mts("mts", "model/vnd.mts"),
  _vtu("vtu", "model/vnd.vtu"),
  _wrl("wrl", "model/vrml"),
  _ics("ics", "text/calendar"),
  _css("css", "text/css"),
  _csv("csv", "text/csv"),
  _html("html", "text/html"),
  _n3("n3", "text/n3"),
  _txt("txt", "text/plain"),
  _dsc("dsc", "text/prs.lines.tag"),
  _rtx("rtx", "text/richtext"),
  _sgml("sgml", "text/sgml"),
  _tsv("tsv", "text/tab-separated-values"),
  _t("t", "text/troff"),
  _ttl("ttl", "text/turtle"),
  _uri("uri", "text/uri-list"),
  _curl("curl", "text/vnd.curl"),
  _dcurl("dcurl", "text/vnd.curl.dcurl"),
  _scurl("scurl", "text/vnd.curl.scurl"),
  _mcurl("mcurl", "text/vnd.curl.mcurl"),
  _fly("fly", "text/vnd.fly"),
  _flx("flx", "text/vnd.fmi.flexstor"),
  _gv("gv", "text/vnd.graphviz"),
  _3dml("3dml", "text/vnd.in3d.3dml"),
  _spot("spot", "text/vnd.in3d.spot"),
  _jad("jad", "text/vnd.sun.j2me.app-descriptor"),
  _wml("wml", "text/vnd.wap.wml"),
  _wmls("wmls", "text/vnd.wap.wmlscript"),
  _s("s", "text/x-asm"),
  _c("c", "text/x-c"),
  _f("f", "text/x-fortran"),
  _p("p", "text/x-pascal"),
  _java("java", "text/x-java-source"),
  _etx("etx", "text/x-setext"),
  _uu("uu", "text/x-uuencode"),
  _vcs("vcs", "text/x-vcalendar"),
  _vcf("vcf", "text/x-vcard"),
  _3gp("3gp", "video/3gpp"),
  _3g2("3g2", "video/3gpp2"),
  _h261("h261", "video/h261"),
  _h263("h263", "video/h263"),
  _h264("h264", "video/h264"),
  _jpgv("jpgv", "video/jpeg"),
  _jpm("jpm", "video/jpm"),
  _mj2("mj2", "video/mj2"),
  _mp4("mp4", "video/mp4"),
  _mpeg("mpeg", "video/mpeg"),
  _ogv("ogv", "video/ogg"),
  _qt("qt", "video/quicktime"),
  _uvh("uvh", "video/vnd.dece.hd"),
  _uvm("uvm", "video/vnd.dece.mobile"),
  _uvp("uvp", "video/vnd.dece.pd"),
  _uvs("uvs", "video/vnd.dece.sd"),
  _uvv("uvv", "video/vnd.dece.video"),
  _fvt("fvt", "video/vnd.fvt"),
  _mxu("mxu", "video/vnd.mpegurl"),
  _pyv("pyv", "video/vnd.ms-playready.media.pyv"),
  _uvu("uvu", "video/vnd.uvvu.mp4"),
  _viv("viv", "video/vnd.vivo"),
  _webm("webm", "video/webm"),
  _f4v("f4v", "video/x-f4v"),
  _fli("fli", "video/x-fli"),
  _flv("flv", "video/x-flv"),
  _m4v("m4v", "video/x-m4v"),
  _asf("asf", "video/x-ms-asf"),
  _wm("wm", "video/x-ms-wm"),
  _wmv("wmv", "video/x-ms-wmv"),
  _wmx("wmx", "video/x-ms-wmx"),
  _wvx("wvx", "video/x-ms-wvx"),
  _avi("avi", "video/x-msvideo"),
  _movie("movie", "video/x-sgi-movie"),
  _ice("ice", "x-conference/x-cooltalk"),
  _par("par", "text/plain-bas"),
  _yaml("yaml", "text/yaml"),
  _dmg("dmg", "application/x-apple-diskimage"),
  _xww("form", "application/x-www-form-urlencoded");

  private String MIME;
  private String extension;

  MediaType(String extension, String mime) {
    this.MIME = mime;
    this.extension = extension;
  }

  public static MediaType getForExtension(String extension) {
    switch (extension) {
      case "aw":
        return _aw;
      case "atom":
        return _atom;
      case "atomcat":
        return _atomcat;
      case "atomsvc":
        return _atomsvc;
      case "ccxml":
        return _ccxml;
      case "cdmia":
        return _cdmia;
      case "cdmic":
        return _cdmic;
      case "cdmid":
        return _cdmid;
      case "cdmio":
        return _cdmio;
      case "cdmiq":
        return _cdmiq;
      case "cu":
        return _cu;
      case "davmount":
        return _davmount;
      case "dssc":
        return _dssc;
      case "xdssc":
        return _xdssc;
      case "es":
        return _es;
      case "emma":
        return _emma;
      case "epub":
        return _epub;
      case "exi":
        return _exi;
      case "pfr":
        return _pfr;
      case "stk":
        return _stk;
      case "ipfix":
        return _ipfix;
      case "jar":
        return _jar;
      case "ser":
        return _ser;
      case "class":
        return _class;
      case "js":
        return _js;
      case "json":
        return _json;
      case "hqx":
        return _hqx;
      case "cpt":
        return _cpt;
      case "mads":
        return _mads;
      case "mrc":
        return _mrc;
      case "mrcx":
        return _mrcx;
      case "ma":
        return _ma;
      case "mathml":
        return _mathml;
      case "mbox":
        return _mbox;
      case "mscml":
        return _mscml;
      case "meta4":
        return _meta4;
      case "mets":
        return _mets;
      case "mods":
        return _mods;
      case "m21":
        return _m21;
      case "doc":
        return _doc;
      case "mxf":
        return _mxf;
      case "bin":
        return _bin;
      case "oda":
        return _oda;
      case "opf":
        return _opf;
      case "ogx":
        return _ogx;
      case "onetoc":
        return _onetoc;
      case "xer":
        return _xer;
      case "pdf":
        return _pdf;
      case "prf":
        return _prf;
      case "p10":
        return _p10;
      case "p7m":
        return _p7m;
      case "p7s":
        return _p7s;
      case "p8":
        return _p8;
      case "ac":
        return _ac;
      case "cer":
        return _cer;
      case "crl":
        return _crl;
      case "pkipath":
        return _pkipath;
      case "pki":
        return _pki;
      case "pls":
        return _pls;
      case "ai":
        return _ai;
      case "cww":
        return _cww;
      case "pskcxml":
        return _pskcxml;
      case "rdf":
        return _rdf;
      case "rif":
        return _rif;
      case "rnc":
        return _rnc;
      case "rl":
        return _rl;
      case "rld":
        return _rld;
      case "rs":
        return _rs;
      case "rsd":
        return _rsd;
      case "rss":
        return _rss;
      case "rtf":
        return _rtf;
      case "sbml":
        return _sbml;
      case "scq":
        return _scq;
      case "scs":
        return _scs;
      case "spq":
        return _spq;
      case "spp":
        return _spp;
      case "sdp":
        return _sdp;
      case "setpay":
        return _setpay;
      case "setreg":
        return _setreg;
      case "shf":
        return _shf;
      case "smi":
        return _smi;
      case "rq":
        return _rq;
      case "srx":
        return _srx;
      case "gram":
        return _gram;
      case "grxml":
        return _grxml;
      case "sru":
        return _sru;
      case "ssml":
        return _ssml;
      case "tei":
        return _tei;
      case "tfi":
        return _tfi;
      case "tsd":
        return _tsd;
      case "plb":
        return _plb;
      case "psb":
        return _psb;
      case "pvb":
        return _pvb;
      case "tcap":
        return _tcap;
      case "pwn":
        return _pwn;
      case "aso":
        return _aso;
      case "imp":
        return _imp;
      case "acu":
        return _acu;
      case "atc":
        return _atc;
      case "air":
        return _air;
      case "fxp":
        return _fxp;
      case "xdp":
        return _xdp;
      case "xfdf":
        return _xfdf;
      case "ahead":
        return _ahead;
      case "azf":
        return _azf;
      case "azs":
        return _azs;
      case "azw":
        return _azw;
      case "acc":
        return _acc;
      case "ami":
        return _ami;
      case "apk":
        return _apk;
      case "cii":
        return _cii;
      case "fti":
        return _fti;
      case "atx":
        return _atx;
      case "mpkg":
        return _mpkg;
      case "m3u8":
        return _m3u8;
      case "swi":
        return _swi;
      case "aep":
        return _aep;
      case "mpm":
        return _mpm;
      case "bmi":
        return _bmi;
      case "rep":
        return _rep;
      case "cdxml":
        return _cdxml;
      case "mmd":
        return _mmd;
      case "cdy":
        return _cdy;
      case "cla":
        return _cla;
      case "rp9":
        return _rp9;
      case "c4g":
        return _c4g;
      case "c11amc":
        return _c11amc;
      case "c11amz":
        return _c11amz;
      case "csp":
        return _csp;
      case "cdbcmsg":
        return _cdbcmsg;
      case "cmc":
        return _cmc;
      case "clkx":
        return _clkx;
      case "clkk":
        return _clkk;
      case "clkp":
        return _clkp;
      case "clkt":
        return _clkt;
      case "clkw":
        return _clkw;
      case "wbs":
        return _wbs;
      case "pml":
        return _pml;
      case "ppd":
        return _ppd;
      case "car":
        return _car;
      case "pcurl":
        return _pcurl;
      case "rdz":
        return _rdz;
      case "fe_launch":
        return _fe_launch;
      case "dna":
        return _dna;
      case "mlp":
        return _mlp;
      case "dpg":
        return _dpg;
      case "dfac":
        return _dfac;
      case "ait":
        return _ait;
      case "svc":
        return _svc;
      case "geo":
        return _geo;
      case "mag":
        return _mag;
      case "nml":
        return _nml;
      case "esf":
        return _esf;
      case "msf":
        return _msf;
      case "qam":
        return _qam;
      case "slt":
        return _slt;
      case "ssf":
        return _ssf;
      case "es3":
        return _es3;
      case "ez2":
        return _ez2;
      case "ez3":
        return _ez3;
      case "fdf":
        return _fdf;
      case "seed":
        return _seed;
      case "gph":
        return _gph;
      case "ftc":
        return _ftc;
      case "fm":
        return _fm;
      case "fnc":
        return _fnc;
      case "ltf":
        return _ltf;
      case "fsc":
        return _fsc;
      case "oas":
        return _oas;
      case "oa2":
        return _oa2;
      case "oa3":
        return _oa3;
      case "fg5":
        return _fg5;
      case "bh2":
        return _bh2;
      case "ddd":
        return _ddd;
      case "xdw":
        return _xdw;
      case "xbd":
        return _xbd;
      case "fzs":
        return _fzs;
      case "txd":
        return _txd;
      case "ggb":
        return _ggb;
      case "ggt":
        return _ggt;
      case "gex":
        return _gex;
      case "gxt":
        return _gxt;
      case "g2w":
        return _g2w;
      case "g3w":
        return _g3w;
      case "gmx":
        return _gmx;
      case "kml":
        return _kml;
      case "kmz":
        return _kmz;
      case "gqf":
        return _gqf;
      case "gac":
        return _gac;
      case "ghf":
        return _ghf;
      case "gim":
        return _gim;
      case "grv":
        return _grv;
      case "gtm":
        return _gtm;
      case "tpl":
        return _tpl;
      case "vcg":
        return _vcg;
      case "hal":
        return _hal;
      case "zmm":
        return _zmm;
      case "hbci":
        return _hbci;
      case "les":
        return _les;
      case "hpgl":
        return _hpgl;
      case "hpid":
        return _hpid;
      case "hps":
        return _hps;
      case "jlt":
        return _jlt;
      case "pcl":
        return _pcl;
      case "pclxl":
        return _pclxl;
      case "sfd-hdstx":
        return _sfd_hdstx;
      case "x3d":
        return _x3d;
      case "mpy":
        return _mpy;
      case "afp":
        return _afp;
      case "irm":
        return _irm;
      case "sc":
        return _sc;
      case "icc":
        return _icc;
      case "igl":
        return _igl;
      case "ivp":
        return _ivp;
      case "ivu":
        return _ivu;
      case "igm":
        return _igm;
      case "xpw":
        return _xpw;
      case "i2g":
        return _i2g;
      case "qbo":
        return _qbo;
      case "qfx":
        return _qfx;
      case "rcprofile":
        return _rcprofile;
      case "irp":
        return _irp;
      case "xpr":
        return _xpr;
      case "fcs":
        return _fcs;
      case "jam":
        return _jam;
      case "rms":
        return _rms;
      case "jisp":
        return _jisp;
      case "joda":
        return _joda;
      case "ktz":
        return _ktz;
      case "karbon":
        return _karbon;
      case "chrt":
        return _chrt;
      case "kfo":
        return _kfo;
      case "flw":
        return _flw;
      case "kon":
        return _kon;
      case "kpr":
        return _kpr;
      case "ksp":
        return _ksp;
      case "kwd":
        return _kwd;
      case "htke":
        return _htke;
      case "kia":
        return _kia;
      case "kne":
        return _kne;
      case "skp":
        return _skp;
      case "sse":
        return _sse;
      case "lasxml":
        return _lasxml;
      case "lbd":
        return _lbd;
      case "lbe":
        return _lbe;
      case "123":
        return _123;
      case "apr":
        return _apr;
      case "pre":
        return _pre;
      case "nsf":
        return _nsf;
      case "org":
        return _org;
      case "scm":
        return _scm;
      case "lwp":
        return _lwp;
      case "portpkg":
        return _portpkg;
      case "mcd":
        return _mcd;
      case "mc1":
        return _mc1;
      case "cdkey":
        return _cdkey;
      case "mwf":
        return _mwf;
      case "mfm":
        return _mfm;
      case "flo":
        return _flo;
      case "igx":
        return _igx;
      case "mif":
        return _mif;
      case "daf":
        return _daf;
      case "dis":
        return _dis;
      case "mbk":
        return _mbk;
      case "mqy":
        return _mqy;
      case "msl":
        return _msl;
      case "plc":
        return _plc;
      case "txf":
        return _txf;
      case "mpn":
        return _mpn;
      case "mpc":
        return _mpc;
      case "xul":
        return _xul;
      case "cil":
        return _cil;
      case "cab":
        return _cab;
      case "xls":
        return _xls;
      case "xlam":
        return _xlam;
      case "xlsb":
        return _xlsb;
      case "xlsm":
        return _xlsm;
      case "xltm":
        return _xltm;
      case "eot":
        return _eot;
      case "chm":
        return _chm;
      case "ims":
        return _ims;
      case "lrm":
        return _lrm;
      case "thmx":
        return _thmx;
      case "cat":
        return _cat;
      case "stl":
        return _stl;
      case "ppt":
        return _ppt;
      case "ppam":
        return _ppam;
      case "pptm":
        return _pptm;
      case "sldm":
        return _sldm;
      case "ppsm":
        return _ppsm;
      case "potm":
        return _potm;
      case "mpp":
        return _mpp;
      case "docm":
        return _docm;
      case "dotm":
        return _dotm;
      case "wps":
        return _wps;
      case "wpl":
        return _wpl;
      case "xps":
        return _xps;
      case "mseq":
        return _mseq;
      case "mus":
        return _mus;
      case "msty":
        return _msty;
      case "nlu":
        return _nlu;
      case "nnd":
        return _nnd;
      case "nns":
        return _nns;
      case "nnw":
        return _nnw;
      case "ngdat":
        return _ngdat;
      case "n-gage":
        return _n_gage;
      case "rpst":
        return _rpst;
      case "rpss":
        return _rpss;
      case "edm":
        return _edm;
      case "edx":
        return _edx;
      case "ext":
        return _ext;
      case "odc":
        return _odc;
      case "otc":
        return _otc;
      case "odb":
        return _odb;
      case "odf":
        return _odf;
      case "odft":
        return _odft;
      case "odg":
        return _odg;
      case "otg":
        return _otg;
      case "odi":
        return _odi;
      case "oti":
        return _oti;
      case "odp":
        return _odp;
      case "otp":
        return _otp;
      case "ods":
        return _ods;
      case "ots":
        return _ots;
      case "odt":
        return _odt;
      case "odm":
        return _odm;
      case "ott":
        return _ott;
      case "oth":
        return _oth;
      case "xo":
        return _xo;
      case "dd2":
        return _dd2;
      case "oxt":
        return _oxt;
      case "pptx":
        return _pptx;
      case "sldx":
        return _sldx;
      case "ppsx":
        return _ppsx;
      case "potx":
        return _potx;
      case "xlsx":
        return _xlsx;
      case "xltx":
        return _xltx;
      case "docx":
        return _docx;
      case "dotx":
        return _dotx;
      case "mgp":
        return _mgp;
      case "dp":
        return _dp;
      case "pdb":
        return _pdb;
      case "paw":
        return _paw;
      case "str":
        return _str;
      case "ei6":
        return _ei6;
      case "efif":
        return _efif;
      case "wg":
        return _wg;
      case "plf":
        return _plf;
      case "pbd":
        return _pbd;
      case "box":
        return _box;
      case "mgz":
        return _mgz;
      case "qps":
        return _qps;
      case "ptid":
        return _ptid;
      case "qxd":
        return _qxd;
      case "bed":
        return _bed;
      case "mxl":
        return _mxl;
      case "musicxml":
        return _musicxml;
      case "cryptonote":
        return _cryptonote;
      case "cod":
        return _cod;
      case "rm":
        return _rm;
      case "link66":
        return _link66;
      case "st":
        return _st;
      case "see":
        return _see;
      case "sema":
        return _sema;
      case "semd":
        return _semd;
      case "semf":
        return _semf;
      case "ifm":
        return _ifm;
      case "itp":
        return _itp;
      case "iif":
        return _iif;
      case "ipk":
        return _ipk;
      case "twd":
        return _twd;
      case "mmf":
        return _mmf;
      case "teacher":
        return _teacher;
      case "sdkm":
        return _sdkm;
      case "dxp":
        return _dxp;
      case "sfs":
        return _sfs;
      case "sdc":
        return _sdc;
      case "sda":
        return _sda;
      case "sdd":
        return _sdd;
      case "smf":
        return _smf;
      case "sdw":
        return _sdw;
      case "sgl":
        return _sgl;
      case "sm":
        return _sm;
      case "sxc":
        return _sxc;
      case "stc":
        return _stc;
      case "sxd":
        return _sxd;
      case "std":
        return _std;
      case "sxi":
        return _sxi;
      case "sti":
        return _sti;
      case "sxm":
        return _sxm;
      case "sxw":
        return _sxw;
      case "sxg":
        return _sxg;
      case "stw":
        return _stw;
      case "sus":
        return _sus;
      case "svd":
        return _svd;
      case "sis":
        return _sis;
      case "xsm":
        return _xsm;
      case "bdm":
        return _bdm;
      case "xdm":
        return _xdm;
      case "tao":
        return _tao;
      case "tmo":
        return _tmo;
      case "tpt":
        return _tpt;
      case "mxs":
        return _mxs;
      case "tra":
        return _tra;
      case "ufd":
        return _ufd;
      case "utz":
        return _utz;
      case "umj":
        return _umj;
      case "unityweb":
        return _unityweb;
      case "uoml":
        return _uoml;
      case "vcx":
        return _vcx;
      case "vsd":
        return _vsd;
      case "vsdx":
        return _vsdx;
      case "vis":
        return _vis;
      case "vsf":
        return _vsf;
      case "wbxml":
        return _wbxml;
      case "wmlc":
        return _wmlc;
      case "wmlsc":
        return _wmlsc;
      case "wtb":
        return _wtb;
      case "nbp":
        return _nbp;
      case "wpd":
        return _wpd;
      case "wqd":
        return _wqd;
      case "stf":
        return _stf;
      case "xar":
        return _xar;
      case "xfdl":
        return _xfdl;
      case "hvd":
        return _hvd;
      case "hvs":
        return _hvs;
      case "hvp":
        return _hvp;
      case "osf":
        return _osf;
      case "osfpvg":
        return _osfpvg;
      case "saf":
        return _saf;
      case "spf":
        return _spf;
      case "cmp":
        return _cmp;
      case "zir":
        return _zir;
      case "zaz":
        return _zaz;
      case "vxml":
        return _vxml;
      case "wgt":
        return _wgt;
      case "hlp":
        return _hlp;
      case "wsdl":
        return _wsdl;
      case "wspolicy":
        return _wspolicy;
      case "7z":
        return _7z;
      case "abw":
        return _abw;
      case "ace":
        return _ace;
      case "aab":
        return _aab;
      case "aam":
        return _aam;
      case "aas":
        return _aas;
      case "bcpio":
        return _bcpio;
      case "torrent":
        return _torrent;
      case "bz":
        return _bz;
      case "bz2":
        return _bz2;
      case "vcd":
        return _vcd;
      case "chat":
        return _chat;
      case "pgn":
        return _pgn;
      case "cpio":
        return _cpio;
      case "csh":
        return _csh;
      case "deb":
        return _deb;
      case "dir":
        return _dir;
      case "wad":
        return _wad;
      case "ncx":
        return _ncx;
      case "dtb":
        return _dtb;
      case "res":
        return _res;
      case "dvi":
        return _dvi;
      case "bdf":
        return _bdf;
      case "gsf":
        return _gsf;
      case "psf":
        return _psf;
      case "otf":
        return _otf;
      case "pcf":
        return _pcf;
      case "snf":
        return _snf;
      case "ttf":
        return _ttf;
      case "pfa":
        return _pfa;
      case "woff":
        return _woff;
      case "spl":
        return _spl;
      case "gnumeric":
        return _gnumeric;
      case "gtar":
        return _gtar;
      case "hdf":
        return _hdf;
      case "jnlp":
        return _jnlp;
      case "latex":
        return _latex;
      case "prc":
        return _prc;
      case "application":
        return _application;
      case "wmd":
        return _wmd;
      case "wmz":
        return _wmz;
      case "xbap":
        return _xbap;
      case "mdb":
        return _mdb;
      case "obd":
        return _obd;
      case "crd":
        return _crd;
      case "clp":
        return _clp;
      case "exe":
        return _exe;
      case "mvb":
        return _mvb;
      case "wmf":
        return _wmf;
      case "mny":
        return _mny;
      case "pub":
        return _pub;
      case "scd":
        return _scd;
      case "trm":
        return _trm;
      case "wri":
        return _wri;
      case "nc":
        return _nc;
      case "p12":
        return _p12;
      case "p7b":
        return _p7b;
      case "p7r":
        return _p7r;
      case "rar":
        return _rar;
      case "sh":
        return _sh;
      case "shar":
        return _shar;
      case "swf":
        return _swf;
      case "xap":
        return _xap;
      case "sit":
        return _sit;
      case "sitx":
        return _sitx;
      case "sv4cpio":
        return _sv4cpio;
      case "sv4crc":
        return _sv4crc;
      case "tar":
        return _tar;
      case "tcl":
        return _tcl;
      case "tex":
        return _tex;
      case "tfm":
        return _tfm;
      case "texinfo":
        return _texinfo;
      case "ustar":
        return _ustar;
      case "src":
        return _src;
      case "der":
        return _der;
      case "fig":
        return _fig;
      case "xpi":
        return _xpi;
      case "xdf":
        return _xdf;
      case "xenc":
        return _xenc;
      case "xhtml":
        return _xhtml;
      case "xml":
        return _xml;
      case "dtd":
        return _dtd;
      case "xop":
        return _xop;
      case "xslt":
        return _xslt;
      case "xspf":
        return _xspf;
      case "mxml":
        return _mxml;
      case "yang":
        return _yang;
      case "yin":
        return _yin;
      case "zip":
        return _zip;
      case "adp":
        return _adp;
      case "au":
        return _au;
      case "mid":
        return _mid;
      case "mp4a":
        return _mp4a;
      case "mpga":
        return _mpga;
      case "oga":
        return _oga;
      case "uva":
        return _uva;
      case "eol":
        return _eol;
      case "dra":
        return _dra;
      case "dts":
        return _dts;
      case "dtshd":
        return _dtshd;
      case "lvp":
        return _lvp;
      case "pya":
        return _pya;
      case "ecelp4800":
        return _ecelp4800;
      case "ecelp7470":
        return _ecelp7470;
      case "ecelp9600":
        return _ecelp9600;
      case "rip":
        return _rip;
      case "weba":
        return _weba;
      case "aac":
        return _aac;
      case "aif":
        return _aif;
      case "m3u":
        return _m3u;
      case "wax":
        return _wax;
      case "wma":
        return _wma;
      case "ram":
        return _ram;
      case "rmp":
        return _rmp;
      case "wav":
        return _wav;
      case "cdx":
        return _cdx;
      case "cif":
        return _cif;
      case "cmdf":
        return _cmdf;
      case "cml":
        return _cml;
      case "csml":
        return _csml;
      case "xyz":
        return _xyz;
      case "bmp":
        return _bmp;
      case "cgm":
        return _cgm;
      case "g3":
        return _g3;
      case "gif":
        return _gif;
      case "ief":
        return _ief;
      case "jpeg":
        return _jpeg;
      case "jpg":
        return _jpg;
      case "pjpeg":
        return _pjpeg;
      case "ktx":
        return _ktx;
      case "png":
        return _png;
      case "btif":
        return _btif;
      case "svg":
        return _svg;
      case "tiff":
        return _tiff;
      case "psd":
        return _psd;
      case "uvi":
        return _uvi;
      case "sub":
        return _sub;
      case "djvu":
        return _djvu;
      case "dwg":
        return _dwg;
      case "dxf":
        return _dxf;
      case "fbs":
        return _fbs;
      case "fpx":
        return _fpx;
      case "fst":
        return _fst;
      case "mmr":
        return _mmr;
      case "rlc":
        return _rlc;
      case "mdi":
        return _mdi;
      case "npx":
        return _npx;
      case "wbmp":
        return _wbmp;
      case "xif":
        return _xif;
      case "webp":
        return _webp;
      case "ras":
        return _ras;
      case "cmx":
        return _cmx;
      case "fh":
        return _fh;
      case "ico":
        return _ico;
      case "pcx":
        return _pcx;
      case "pic":
        return _pic;
      case "pnm":
        return _pnm;
      case "pbm":
        return _pbm;
      case "pgm":
        return _pgm;
      case "ppm":
        return _ppm;
      case "rgb":
        return _rgb;
      case "xbm":
        return _xbm;
      case "xpm":
        return _xpm;
      case "xwd":
        return _xwd;
      case "eml":
        return _eml;
      case "igs":
        return _igs;
      case "msh":
        return _msh;
      case "dae":
        return _dae;
      case "dwf":
        return _dwf;
      case "gdl":
        return _gdl;
      case "gtw":
        return _gtw;
      case "mts":
        return _mts;
      case "vtu":
        return _vtu;
      case "wrl":
        return _wrl;
      case "ics":
        return _ics;
      case "css":
        return _css;
      case "csv":
        return _csv;
      case "html":
        return _html;
      case "n3":
        return _n3;
      case "txt":
        return _txt;
      case "dsc":
        return _dsc;
      case "rtx":
        return _rtx;
      case "sgml":
        return _sgml;
      case "tsv":
        return _tsv;
      case "t":
        return _t;
      case "ttl":
        return _ttl;
      case "uri":
        return _uri;
      case "curl":
        return _curl;
      case "dcurl":
        return _dcurl;
      case "scurl":
        return _scurl;
      case "mcurl":
        return _mcurl;
      case "fly":
        return _fly;
      case "flx":
        return _flx;
      case "gv":
        return _gv;
      case "3dml":
        return _3dml;
      case "spot":
        return _spot;
      case "jad":
        return _jad;
      case "wml":
        return _wml;
      case "wmls":
        return _wmls;
      case "s":
        return _s;
      case "c":
        return _c;
      case "f":
        return _f;
      case "p":
        return _p;
      case "java":
        return _java;
      case "etx":
        return _etx;
      case "uu":
        return _uu;
      case "vcs":
        return _vcs;
      case "vcf":
        return _vcf;
      case "3gp":
        return _3gp;
      case "3g2":
        return _3g2;
      case "h261":
        return _h261;
      case "h263":
        return _h263;
      case "h264":
        return _h264;
      case "jpgv":
        return _jpgv;
      case "jpm":
        return _jpm;
      case "mj2":
        return _mj2;
      case "mp4":
        return _mp4;
      case "mpeg":
        return _mpeg;
      case "ogv":
        return _ogv;
      case "qt":
        return _qt;
      case "uvh":
        return _uvh;
      case "uvm":
        return _uvm;
      case "uvp":
        return _uvp;
      case "uvs":
        return _uvs;
      case "uvv":
        return _uvv;
      case "fvt":
        return _fvt;
      case "mxu":
        return _mxu;
      case "pyv":
        return _pyv;
      case "uvu":
        return _uvu;
      case "viv":
        return _viv;
      case "webm":
        return _webm;
      case "f4v":
        return _f4v;
      case "fli":
        return _fli;
      case "flv":
        return _flv;
      case "m4v":
        return _m4v;
      case "asf":
        return _asf;
      case "wm":
        return _wm;
      case "wmv":
        return _wmv;
      case "wmx":
        return _wmx;
      case "wvx":
        return _wvx;
      case "avi":
        return _avi;
      case "movie":
        return _movie;
      case "ice":
        return _ice;
      case "par":
        return _par;
      case "yaml":
        return _yaml;
      case "dmg":
        return _dmg;
    }
    return null;
  }

  public String getMIME() {
    return MIME;
  }

  public String getExtension() {
    return extension;
  }
}
